=== debian/control ===
Source: deepin-turbo
Section: devel
Priority: extra
Maintainer: Deepin Packages Builder <packages@deepin.com> 
Build-Depends: debhelper (>= 9.0.0),
               cmake,
               pkg-config,
               python,
               libdbus-1-dev,
               dbus,
               libsystemd-dev,
               qtbase5-dev
Standards-Version: 3.9.5

Package: deepin-turbo
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description:  Application launcher for fast startup
 Application invoker and launcher daemon that speed up
 application startup time and share memory. Provides also
 functionality to launch applications as single instances.

Package: deepin-turbo-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}, deepin-turbo
Description: Development files for launchable applications
  evelopment files for creating applications that can be launched
  using deepin-turbo.

Package: deepin-turbo-booster
Section: devel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}, deepin-turbo
Description:  DTK application booster binary for deepin-turbo
